org.firebirdsql.gds.ng

## Interface AbstractAttachProperties.PropertyUpdateListener

Enclosing class:
  AbstractAttachProperties<T extends IAttachProperties<T>>

    @InternalApi
    public static interface AbstractAttachProperties.PropertyUpdateListener

Property update listener. This interface is only for internal use within Jaybird.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterUpdate(ConnectionProperty connectionProperty, java.lang.Object newValue)`
`void` `beforeUpdate(ConnectionProperty connectionProperty, java.lang.Object newValue)`

### Method Detail

#### beforeUpdate

    void beforeUpdate(ConnectionProperty connectionProperty,
                      java.lang.Object newValue)

#### afterUpdate

    void afterUpdate(ConnectionProperty connectionProperty,
                     java.lang.Object newValue)